<!-- Notes here --> 
<p>The underlying storage mechanism is the same as IPFS. It is block style storage using content-based hash identifires.</p>
<p>Communication between nodes is accomplished using libp2p. This enables all of the libp2p features such as NAT Traversal, Secure Communication, Circuit Relay, Multiple Protocols, Peer Identity, Content Routing, and Peer Routing.</p>
<p>Decentralization is a key component of IDDN. The lack of a central or master node ensures that IDDN remains operational even when not operating at full peer capacity</p>
